{ inputs, config, pkgs, ... }:
{
  home.username = "root";
  home.homeDirectory = "/root";

  imports = [
    (import ./utils/common.nix { inherit inputs config pkgs; })
  ];

  home.packages = with pkgs; [
    python312Packages.pytorchWithCuda
  ];

  home.sessionVariables = {
    LANG = "en_US.UTF-8";
    XDG_RUNTIME_DIR = "/run/user/$(id -u)";
    MAMBA_ROOT_PREFIX = "/root/.micromamba";
  };
  programs.zsh.initExtra = pkgs.lib.mkForce ''
      eval "$(micromamba shell hook -s zsh)"
      source ~/.nix-profile/etc/profile.d/hm-session-vars.sh
  '';
  programs.zsh.initExtraFirst = ''
    export LOCALE_ARCHIVE="/usr/lib/locale/locale-archive"
  '';
}
